import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { Cache } from 'cache-manager';
import { Observable } from 'rxjs';
export declare class ZirusCacheInterceptor implements NestInterceptor {
    private cacheManager;
    private readonly reflector;
    constructor(cacheManager: Cache, reflector: Reflector);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
